
 LinHES - Feature # 652: MCE RC6 iMon IR/LCD support (per Antec Fusion Black 430 (aka Veris)

Status: Closed Priority: Normal
Author: christian Category:
Created: 03/20/2010 Assignee: cecil
Updated: 08/11/2017 Due date:
Description: his is for support of the iMon receivers that use the MCE RC6 codes and is usually bundled with an LCD (not 

VFD) as in the Antec Fusion Black 430 (aka Veris).

Also documented in How-to: 
http://knoppmyth.net/phpBB2/viewtopic.php?t=19574&sid=a2927ee5f887fabb6fb2a1c3baf939ba

Base software required:
lirc 0.8.4a or higher (I note 0.8.5pre3 is now out as lirc.org snapshot)
lcdproc 0.5.2 (or higher; at this time this is the highest)
lcdproc-0.5.2-imonlcd-0.3.patch (for lcdproc 0.5.2)

To get/build/patch lcdproc:
cd /usr/src
wget http://internap.dl.sourceforge.net/sourceforge/lcdproc/lcdproc-0.5.2.tar.gz
tar -zxvf lcdproc-0.5.2.tar.gz
wget http://codeka.com/blogs/imon/lcdproc-0.5.2-imonlcd-0.3.patch
cd lcdproc-0.5.2
patch -p1 < ../lcdproc-0.5.2-imonlcd-0.3.patch
aclocal

autoconf
automake

./configure --enable-drivers=imonlcd
make

make install

I have attached for reference my config files based on R5.5. They should go to the appropriate place in R6.
LCDd.conf needs to ensure the paths “DriverPath=/usr/local/lib/lcdproc/” and “Device=/dev/lcd0” are pointing 
to the right places for R6.

*HISTORY:*

Comment by Mykola Kyrylenko (mkyrylen) - Sunday, 27 December 2009, 22:16 GMT-7
For the iMON LCD used in Antec Micro Fusion Remote 350, the above patch is needed for lcdproc-0.5.2, or 
lcdproc-0.5.3 is needed.
['lsusb' gives "Bus 006 Device 002: ID 15c2:0038 SoundGraph Inc."]

Based on research by 'graysky' [see thread 
http://mysettopbox.tv/phpBB2/viewtopic.php?p=125855&sid=daa0942dea0d0e9cb25dc19b72c77fe1, Arch 
Linux already has a package for lcdproc-0.5.3 [[http://aur.archlinux.org/packages.php?ID=8344]]
I tried this package and it seemed to compile and install OK, but my configuration never worked fully.
The backlight was controllable from within MythTV (will go on for 5 seconds on menu activity), but text would 
not appear.

I am also not sure of the method to get 'imonlcd' as an option in MythTV setup menus, and not use 'tinker'.
regards,
Mykola

NOTE: I managed to get VERY sluggish response from the menu. I am not sure if it was caused due to me 
trying many options to get the LCD to fully work. Ended up reinstalling the system from scratch.

NOTE: The Lirc in LinHES should be OK for iMON LCD 0038 (lirc-0.8.5), but lirc-0.8.6 is available.

  Comment by Christian Szpilfogel (christian) - Monday, 28 December 2009, 18:59 GMT-7
I have finally have some time for myself over the Christmas break so I will work on this in the R6 context.

lcdproc 0.5.2 with the patch worked perfectly on 5.5 so I am suspicious as to whether 0.5.3 has all of the 
patch contents. I have a vague recollection that it does not.

  Comment by Mykola Kyrylenko (mkyrylen) - Sunday, 03 January 2010, 00:31 GMT-7
I used what I believed was an unpatched version of lcdproc_0.5.3 with Mythdora, and it worked (at least I did 
not need to patch myself). So I believe the patches should have been merged already.

  Comment by Christian Szpilfogel (christian) - Saturday, 09 January 2010, 08:49 GMT-7
ok. I've now done this. How-to link: http://knoppmyth.net/phpBB2/viewtopic.php?t=20749

The basic lirc stuff will work with my notes in Flyspray #358. I cover both imon and mceusb versions of the 
veris.

The rest of this task relates to enabling the LCD display.

Although success with the current 0.8.5-CVS6 lirc has been reported with the VFD and I think it requires 
tinkering. However lirc 0.8.6 works out of the box to create the needed sockets.

You then need lcdproc-0.5.3 as obtained in the how-to. The AUR version didn't work well for me as it probably 
depends on some other lirc version. I just compiled fresh lirc-0.8.6 and lcdproc-0.5.3 and everything worked.

The only tweaks you need from here are to /etc/LCDd.conf under the [server] section (as per my how-to) 
namely:
Driver=imonlcd DriverPath=/usr/local/lib/lcdproc/
ServerScreen=no

and then add_service.sh lcdd

One exception is if someone has an iMon LCD with code 0038 instead of ffdc (obtained with lsusb) in which 
case the "Protocol" entry needs to be "1".
## Soundgraph iMON LCD ## [imonlcd] # Specify which iMon protocol should be used [legal: 0=15c2:ffdc 
device, # 1=15c2:0038 device; default: 0] Protocol=0

Associated revisions
03/01/2012 02:42 pm - brfransen
udev: add SoundGraph_LCD rules. closes #652

History
10/21/2011 09:08 am - brfransen
- Status changed from New to Feedback
Please try the R7.00.03 iso and report back.

02/29/2012 06:06 pm - christian
- File LCDd.conf added

In the context of the LCD and as of LinHES 7.2, the correct imon driver is assigned and LCDproc is correct. However the LCDd.conf does not contain 
the imon driver information when antec_fusion is chosen.

I suggest that if someone chooses the "antec_fusion" entry in the LCD/VFD Model in the service menu that the attached LCDd.conf get installed which 
is pre-configured for imonlcd.

With this mod, systems should work out of the box.

02/29/2012 07:44 pm - christian
- File LCDd.conf added

ok. For some reason my Antec Fusion Black based imon lcd seems to swap between lcd0 and lcd1 somewhat randomly. I'm not sure what the root 
cause is but the following will fix similar issues and keep this procedure generic:

Change LCDd.conf to the attached version. It just generically uses /dev/lcd per below.

Then add a udev rule in say "/etc/udev/rules.d/79-lcd.rules" or a similar rules dir with the following content to symlink wherever the lcd (eg. lcd0 or lcd1) 
shows up to /dev/lcd for any "SoundGraph" (vendor 15c2) device:
<pre>KERNEL=="lcd[0-9]*" , ATTRS{idVendor}=="15c2" , SYMLINK+="lcd"</pre>

It is likely best to do this for all SoundGraph devices as the driver is common to all of them and thus it is likely this will be seen on other machines. It is 
unlikely a media pc will have more than one display let alone more than one SoundGraph display.

03/01/2012 02:43 pm - brfransen
- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Applied in changeset commit:cc8a1c904a89ac1582ac442838f770418cd0c040.

Files
LCDd.conf 21.6 kB 02/29/2012 christian
LCDd.conf 21.6 kB 02/29/2012 christian
